[med-svn] [Git][med-team/bowtie2][master] Add test that checks correct program behaviour when it called without arguments
Liubov Chuprikova
gitlab at salsa.debian.org
Tue Jun 12 15:11:03 BST 2018
Liubov Chuprikova pushed to branch master at Debian Med / bowtie2
Commits:
ba87f79b by Liubov Chuprikova at 2018-06-12T15:53:03+02:00
Add test that checks correct program behaviour when it called without arguments
- - - - -
3 changed files:
- debian/changelog
- + debian/tests/check-wo-arguments
- debian/tests/control
Changes:
=====================================
debian/changelog
=====================================
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+bowtie2 (2.3.4.1-2) UNRELEASED; urgency=medium
+
+ * Team upload.
+ * Autopkgtest: add test that checks correct program behaviour when it called
+ without arguments
+
+ -- Liubov Chuprikova <chuprikovalv at gmail.com> Tue, 12 Jun 2018 15:15:38 +0200
+
bowtie2 (2.3.4.1-1) unstable; urgency=medium
* New upstream version 2.3.4.1
=====================================
debian/tests/check-wo-arguments
=====================================
--- /dev/null
+++ b/debian/tests/check-wo-arguments
@@ -0,0 +1,13 @@
+#/bin/sh -e
+
+TMP="$(mktemp)"
+# Run bowtie2 without any arguments and save stderr in a temporary file:
+STDOUT="$(bowtie2 2> ${TMP})"
+# Exit status of the previous command should be 1
+[ "$?" -eq 1 ]
+# Save help message into a variable:
+HELP_MESSAGE="$(bowtie2 --help)"
+# Check if stderr contains help message:
+grep -q "${HELP_MESSAGE}" "${TMP}"
+echo "SUCCESS: help message was detected!"
+rm "${TMP}"
=====================================
debian/tests/control
=====================================
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -1,3 +1,5 @@
+Tests: check-wo-arguments
+
Tests: indexing-ref-genome
Tests: binary-run
View it on GitLab: https://salsa.debian.org/med-team/bowtie2/commit/ba87f79bab8cc0b1003eb4e6dac8a7c7cdb98fd6
--
View it on GitLab: https://salsa.debian.org/med-team/bowtie2/commit/ba87f79bab8cc0b1003eb4e6dac8a7c7cdb98fd6
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20180612/32c4779f/attachment.html>
More information about the debian-med-commit
mailing list